from foo cimport Foo
import optparse
import sys

VERSION = "0.1"

cdef parse_command_line():
    """Define and parse command line options."""
    parser = optparse.OptionParser(version="%prog " + str(VERSION))
    parser.add_option("-n", "--name", dest="name", type="string",
                      default="FOOBARTASTIC", help="controller name")

    return parser.parse_args()

if __name__ == "__main__":
    (options, args) = parse_command_line()

    try:
        f = Foo(options.name)
        print f.hexname()
    except EnvironmentError, e:
        sys.stderr.write("%s\n" % str(e))
        sys.exit(1)
